# CbcHeuristicNode Class Reference

A class describing the branching decisions that were made to get to the node where a heuristic was invoked from. More...

`#include <CbcHeuristic.hpp>`

Collaboration diagram for CbcHeuristicNode:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicNode (CbcModel &model)
| CbcHeuristicNode (const CbcHeuristicNode &rhs)
| ~CbcHeuristicNode ()
double | distance (const CbcHeuristicNode *node) const
double | minDistance (const CbcHeuristicNodeList &nodeList) const
bool | minDistanceIsSmall (const CbcHeuristicNodeList &nodeList, const double threshold) const
double | avgDistance (const CbcHeuristicNodeList &nodeList) const
## Private Member Functions
void | gutsOfConstructor (CbcModel &model)
| CbcHeuristicNode ()
CbcHeuristicNode & | operator= (const CbcHeuristicNode &)
## Private Attributes
int | numObjects_
| The number of branching decisions made.
CbcBranchingObject ** | brObj_
| The indices of the branching objects.

## Detailed Description

A class describing the branching decisions that were made to get to the node where a heuristic was invoked from.

Definition at line 28 of file CbcHeuristic.hpp.

## Constructor & Destructor Documentation

CbcHeuristicNode::CbcHeuristicNode | ( |  | ) | `[private]`

CbcHeuristicNode::CbcHeuristicNode | ( | CbcModel & | model | ) |

CbcHeuristicNode::CbcHeuristicNode | ( | const CbcHeuristicNode & | rhs | ) |

CbcHeuristicNode::~CbcHeuristicNode | ( |  | ) |

## Member Function Documentation

void CbcHeuristicNode::gutsOfConstructor | ( | CbcModel & | model | ) | `[private]`

CbcHeuristicNode& CbcHeuristicNode::operator= | ( | const CbcHeuristicNode & |  | ) | `[private]`

double CbcHeuristicNode::distance | ( | const CbcHeuristicNode * | node | ) | const

double CbcHeuristicNode::minDistance | ( | const CbcHeuristicNodeList & | nodeList | ) | const

bool CbcHeuristicNode::minDistanceIsSmall | ( | const CbcHeuristicNodeList & | nodeList,
|  | const double | threshold |
| ) |  |  | const

double CbcHeuristicNode::avgDistance | ( | const CbcHeuristicNodeList & | nodeList | ) | const

## Member Data Documentation

int CbcHeuristicNode::numObjects_`[private]`

The number of branching decisions made.

Definition at line 35 of file CbcHeuristic.hpp.

CbcBranchingObject** CbcHeuristicNode::brObj_`[private]`

The indices of the branching objects.

Note: an index may be listed multiple times. E.g., a general integer variable that has been branched on multiple times.

Definition at line 39 of file CbcHeuristic.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.1/Cbc/src/CbcHeuristic.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines